Package bitel.billing.server.contract.bean

# Class ContractUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.contract.bean.ContractUtils

public class ContractUtils extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractUtils(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContractParameters(int cid, boolean group, Element parameters, Element rootNode)`
  Добавить параметры договора в XML-документ
  `void`
  `addContractParameters(int contractId, boolean group, Element parameters, Element rootNode, int userId)`
  Добавить параметры договора в XML-документ.
  `void`
  `addContractParameters(int cid, XMLStreamWriter rootNode, String paramsNodeName)`
  Добавление параметров для сериализации договора
  `void`
  `addContractXML(int contractId, XMLStreamWriter rootNode, boolean withParams)`
  Сериализация договора
  `void`
  `addContractXML(int contractId, XMLStreamWriter rootNode, boolean withParams, boolean addSuper)`
  Сериализация договора
  `void`
  `addContractXML(int contractId, XMLStreamWriter rootNode, boolean withParams, boolean addSub, boolean addSuper, Set<Integer> xmlContractConsist, Set<Integer> xmlModulesConsist, Set<Integer> xmlPluginConsist)`
  Сериализация договора
  `String`
  `getCids(long groups)`
  Получение списка кодов договоров по группам
  `static String`
  `getCidsStringForQuery(int contractId, int cidMembers, Connection con)`
  Получение строки с номерами договоров разделенными запятыми.
  `String`
  `getContractTitle(int cid)`
  Получает имя договора.
  `String`
  `getContractTitle(int cid, boolean withComment)`
  Получает имя договора по id
  `String`
  `getContractTitle(int cid, boolean withComment, String nullText)`
  Получает имя договора по id.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractUtils

    public ContractUtils(Connection con)

- ## Method Details

  - ### getContractTitle

    public String getContractTitle(int cid)
    Получает имя договора. Данный метод использовать только, если предпологается многократное обращение к нему, так как на момент жизни ContractUtils, 'title' кешируются.
    Parameters:
      `cid` - - номер договора.

  - ### getContractTitle

    public String getContractTitle(int cid, boolean withComment)
    Получает имя договора по id
    Parameters:
      `cid` - - код договора
      `withComment` - - необходимо ли добавить комментарий
    Returns:
      имя договора. Если договор не найден то вернет "TITLE_NOT_FOUND"

  - ### getContractTitle

    public String getContractTitle(int cid, boolean withComment, String nullText)
    Получает имя договора по id.
    Parameters:
      `cid` - - код договора
      `withComment` - - необходимо ли добавить комментарий
      `nullText` - - если договор не найден, то данное значение будет возвращенно

  - ### getCids

    public String getCids(long groups)
    Получение списка кодов договоров по группам
    Parameters:
      `groups` - long
    Returns:
      String

  - ### getCidsStringForQuery

    public static String getCidsStringForQuery(int contractId, int cidMembers, Connection con) throws SQLException
    Получение строки с номерами договоров разделенными запятыми.
    Parameters:
      `contractId` - - ид договор.
      `cidMembers` - - если == 1, то только данный договор, если = 2 то вернет еще и его зависимые субдоговоры, если = 3 то только его зависимые субдоговоры.
    Returns:
      список ид договоров через запятую, если неверные параметры или в результате будет пустая строка, то вернет null. Обязательно вернет null, если запрашиваются только зависимые договора, которых нет.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### addContractXML

    public void addContractXML(int contractId, XMLStreamWriter rootNode, boolean withParams) throws Exception
    Сериализация договора
    Throws:
      `Exception`

  - ### addContractXML

    public void addContractXML(int contractId, XMLStreamWriter rootNode, boolean withParams, boolean addSuper) throws Exception
    Сериализация договора
    Throws:
      `Exception`

  - ### addContractXML

    public void addContractXML(int contractId, XMLStreamWriter rootNode, boolean withParams, boolean addSub, boolean addSuper, Set<Integer> xmlContractConsist, Set<Integer> xmlModulesConsist, Set<Integer> xmlPluginConsist) throws Exception
    Сериализация договора
    Throws:
      `Exception`

  - ### addContractParameters

    public void addContractParameters(int cid, boolean group, Element parameters, Element rootNode) throws DOMException, SQLException, ru.bitel.bgbilling.common.BGException
    Добавить параметры договора в XML-документ
    Throws:
      `DOMException`
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractParameters

    public void addContractParameters(int contractId, boolean group, Element parameters, Element rootNode, int userId) throws DOMException, SQLException, ru.bitel.bgbilling.common.BGException
    Добавить параметры договора в XML-документ.
    Parameters:
      `group` - - если нужно учитывать группу параметров договора то передается true, если нет - false.
    Throws:
      `DOMException`
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractParameters

    public void addContractParameters(int cid, XMLStreamWriter rootNode, String paramsNodeName) throws DOMException, SQLException, XMLStreamException
    Добавление параметров для сериализации договора
    Parameters:
      `cid` -
      `rootNode` -
      `paramsNodeName` -
    Throws:
      `DOMException`
      `SQLException`
      `XMLStreamException`